Bug 59889 - Import symbol (Ctrl+Alt+Space) shows nothing
Summary: Import symbol (Ctrl+Alt+Space) shows nothing
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: C# Binding (show other bugs)
Version: Trunk
Hardware: PC Mac OS
: Normal normal
Target Milestone: 15.6
Assignee: Mike Krüger
URL:
Depends on:
Blocks:
 
Reported: 2017-10-02 12:50 UTC by Lopatkin Ilja
Modified: 2017-10-27 07:29 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: Yes
Last known good build: 7.3.0.639 (d15-5)

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Lopatkin Ilja 2017-10-02 12:50:44 UTC
Recently (after merge with master-roslyncompletion branch I guess) the completion mechanism stopped showing types that could be imported. For example, you type "ConcDic", press Ctrl+Alt+Space and instead of getting proposal to import namespace containing ConcurrentDictionary it gives an empty list.
Comment 1 Mike Krüger 2017-10-04 08:43:44 UTC
That's not enabled by default.

text editor -> intellisense -> show import items


If that worked before it was a bug.
Comment 2 Matt Ward 2017-10-04 08:55:04 UTC
I have that option enabled. This works in 7.3 and below but not in 7.4 Build 205 (master).

In 7.3 with the caret at the end of 'ConcDic' pressing Ctrl+Alt+Space converts it into ConcurrentDictionary. VS Mac 7.4 shows No Completion items in the code completion window. You also get ConcurrentDictionary in the code completion window as you type 'ConcDic' in VS Mac 7.3 but not with 7.4.
Comment 3 Lopatkin Ilja 2017-10-04 09:40:00 UTC
No, this option, as far as I managed to understand it, affects the behavior of casual completion procedure. Then it would show not only types and methods available in the scope, but also possible imports to get those types and extension methods into the scope.
I'm talking about Ctrl+Alt+Space completion which is called "Import symbol" in key binding settings. And, by the way, if I enable aforementioned option it still woudnl't show any import proposal, even in casual completion.
Comment 4 xamarin-release-manager 2017-10-27 07:29:01 UTC
Fixed in version 7.4.0.422 (master)

Author: Mike Kr??ger
Commit: 446037df37356b2a2fd36fc13815115b6070ed01 (mono/monodevelop)